pcl::LINEMOD_OrientationMap Struct Reference

Map that stores orientations. More...

`#include <pcl/recognition/surface_normal_modality.h>`

## Public Member Functions

| LINEMOD_OrientationMap ()
| Constructor. More...
| ~LINEMOD_OrientationMap ()
| Destructor. More...
size_t | getWidth () const
| Returns the width of the modality data map. More...
size_t | getHeight () const
| Returns the height of the modality data map. More...
void | resize (const size_t width, const size_t height, const float value)
| Resizes the map to the specific width and height and initializes all new elements with the specified value. More...
float & | operator() (const size_t col_index, const size_t row_index)
| Operator to access elements of the map. More...
const float & | operator() (const size_t col_index, const size_t row_index) const
| Operator to access elements of the map. More...

## Detailed Description

Map that stores orientations.

Author
  Stefan Holzer

Definition at line 55 of file surface_normal_modality.h.

## Constructor & Destructor Documentation

## LINEMOD_OrientationMap()

pcl::LINEMOD_OrientationMap::LINEMOD_OrientationMap | ( |  | ) |

inline

Constructor.

Definition at line 59 of file surface_normal_modality.h.

## ~LINEMOD_OrientationMap()

pcl::LINEMOD_OrientationMap::~LINEMOD_OrientationMap | ( |  | ) |

inline

Destructor.

Definition at line 61 of file surface_normal_modality.h.

## Member Function Documentation

## getHeight()

size_t pcl::LINEMOD_OrientationMap::getHeight | ( |  | ) | const

inline

Returns the height of the modality data map.

Definition at line 72 of file surface_normal_modality.h.

## getWidth()

size_t pcl::LINEMOD_OrientationMap::getWidth | ( |  | ) | const

inline

Returns the width of the modality data map.

Definition at line 65 of file surface_normal_modality.h.

## operator()() [1/2]

float& pcl::LINEMOD_OrientationMap::operator() | ( | const size_t | col_index,
|  | const size_t | row_index
| ) |  |

inline

Operator to access elements of the map.

Parameters

  [in] | col_index | the column index of the element to access.
  [in] | row_index | the row index of the element to access.

Definition at line 97 of file surface_normal_modality.h.

## operator()() [2/2]

const float& pcl::LINEMOD_OrientationMap::operator() | ( | const size_t | col_index,
|  | const size_t | row_index
| ) |  | const

inline

Operator to access elements of the map.

Parameters

  [in] | col_index | the column index of the element to access.
  [in] | row_index | the row index of the element to access.

Definition at line 107 of file surface_normal_modality.h.

## resize()

void pcl::LINEMOD_OrientationMap::resize | ( | const size_t | width,
|  | const size_t | height,
|  | const float | value
| ) |  |

inline

Resizes the map to the specific width and height and initializes all new elements with the specified value.

Parameters

  [in] | width | the width of the resized map.
  [in] | height | the height of the resized map.
  [in] | value | the value all new elements will be initialized with.

Definition at line 84 of file surface_normal_modality.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/surface_normal_modality.h